Subject: Re: [PATCH v1 0/9] diff-merges: let -m imply -p

From: Bagas Sanjaya <[email-masked]>
Date: Tue, 18 May 2021 10:18:17 +0700

On 17/05/21 22.58, Sergey Organov wrote:
> Fix long standing inconsistency between -c/--cc that do imply -p, on
> one side, and -m that did not imply -p, on the other side.
> 

The commas are unnecessary.

> Only the last patch is the actual functional change. The reset of
> patches are additional tests and refactorings that are not expected to
> alter existing behaviors.
> 

Oops, s/reset/rest/.

> After these patches
> 
>    git log -m
> 
> will start to produce diffs without need to provide -p as well, that
> improves both consistency and usability. It gets even more useful if
> one sets "log.diffMerges" configuration variable to "first-parent" to
> force -m produce usual diff with respect to first parent only.
> 

Better say "After this patch series, git log -m produces diffs (implies
-p)".

> These patches don't change behavior when specific diff format is
> explicitly provided on the command-line, so that commands like
> 
>    git log -m --raw
>    git log -m --stat
> 
> are not affected.
> 

Better say "This series, however, don't change behavior...".

> Exact historical semantics of -m is still provided by
> --diff-merges=separate.
> 

Better say "Previously, the -m semantics is same as --diff-merges=separate".

Thanks.

-- 
An old man doll... just what I always wanted! - Clara